Update a company
curl --request PATCH \
--url https://app.alvahq.com/api/v1/company/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "",
"domain": "",
"industry": "",
"size": "",
"location": "",
"website": "",
"description": "",
"lifecycleStage": "",
"relationshipType": "",
"primaryEmail": "",
"primaryPhone": "",
"emails": [],
"phones": [],
"linkedinUrl": "",
"foundedYear": null,
"employeeCountRange": "",
"ownerId": "",
"enrichmentIcpId": "",
"tagIds": [],
"notInterestedUntil": "",
"notInterestedReason": "",
"customFields": {}
}
'import requests
url = "https://app.alvahq.com/api/v1/company/{id}"
payload = {
"name": "",
"domain": "",
"industry": "",
"size": "",
"location": "",
"website": "",
"description": "",
"lifecycleStage": "",
"relationshipType": "",
"primaryEmail": "",
"primaryPhone": "",
"emails": [],
"phones": [],
"linkedinUrl": "",
"foundedYear": None,
"employeeCountRange": "",
"ownerId": "",
"enrichmentIcpId": "",
"tagIds": [],
"notInterestedUntil": "",
"notInterestedReason": "",
"customFields": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '',
domain: '',
industry: '',
size: '',
location: '',
website: '',
description: '',
lifecycleStage: '',
relationshipType: '',
primaryEmail: '',
primaryPhone: '',
emails: [],
phones: [],
linkedinUrl: '',
foundedYear: null,
employeeCountRange: '',
ownerId: '',
enrichmentIcpId: '',
tagIds: [],
notInterestedUntil: '',
notInterestedReason: '',
customFields: {}
})
};
fetch('https://app.alvahq.com/api/v1/company/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.alvahq.com/api/v1/company/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '',
'domain' => '',
'industry' => '',
'size' => '',
'location' => '',
'website' => '',
'description' => '',
'lifecycleStage' => '',
'relationshipType' => '',
'primaryEmail' => '',
'primaryPhone' => '',
'emails' => [
],
'phones' => [
],
'linkedinUrl' => '',
'foundedYear' => null,
'employeeCountRange' => '',
'ownerId' => '',
'enrichmentIcpId' => '',
'tagIds' => [
],
'notInterestedUntil' => '',
'notInterestedReason' => '',
'customFields' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.alvahq.com/api/v1/company/{id}"
payload := strings.NewReader("{\n \"name\": \"\",\n \"domain\": \"\",\n \"industry\": \"\",\n \"size\": \"\",\n \"location\": \"\",\n \"website\": \"\",\n \"description\": \"\",\n \"lifecycleStage\": \"\",\n \"relationshipType\": \"\",\n \"primaryEmail\": \"\",\n \"primaryPhone\": \"\",\n \"emails\": [],\n \"phones\": [],\n \"linkedinUrl\": \"\",\n \"foundedYear\": null,\n \"employeeCountRange\": \"\",\n \"ownerId\": \"\",\n \"enrichmentIcpId\": \"\",\n \"tagIds\": [],\n \"notInterestedUntil\": \"\",\n \"notInterestedReason\": \"\",\n \"customFields\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.alvahq.com/api/v1/company/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"\",\n \"domain\": \"\",\n \"industry\": \"\",\n \"size\": \"\",\n \"location\": \"\",\n \"website\": \"\",\n \"description\": \"\",\n \"lifecycleStage\": \"\",\n \"relationshipType\": \"\",\n \"primaryEmail\": \"\",\n \"primaryPhone\": \"\",\n \"emails\": [],\n \"phones\": [],\n \"linkedinUrl\": \"\",\n \"foundedYear\": null,\n \"employeeCountRange\": \"\",\n \"ownerId\": \"\",\n \"enrichmentIcpId\": \"\",\n \"tagIds\": [],\n \"notInterestedUntil\": \"\",\n \"notInterestedReason\": \"\",\n \"customFields\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.alvahq.com/api/v1/company/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"\",\n \"domain\": \"\",\n \"industry\": \"\",\n \"size\": \"\",\n \"location\": \"\",\n \"website\": \"\",\n \"description\": \"\",\n \"lifecycleStage\": \"\",\n \"relationshipType\": \"\",\n \"primaryEmail\": \"\",\n \"primaryPhone\": \"\",\n \"emails\": [],\n \"phones\": [],\n \"linkedinUrl\": \"\",\n \"foundedYear\": null,\n \"employeeCountRange\": \"\",\n \"ownerId\": \"\",\n \"enrichmentIcpId\": \"\",\n \"tagIds\": [],\n \"notInterestedUntil\": \"\",\n \"notInterestedReason\": \"\",\n \"customFields\": {}\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Acme Corporation",
"domain": "acme.com",
"industry": "Technology",
"size": "51-200",
"location": "London, UK",
"website": "https://acme.com",
"description": "<string>",
"lifecycleStage": "target",
"relationshipType": "customer",
"primaryEmail": "<string>",
"primaryPhone": "<string>",
"emails": [
"<string>"
],
"phones": [
"<string>"
],
"linkedinUrl": "<string>",
"foundedYear": 123,
"employeeCountRange": "<string>",
"ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enrichmentIcpId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originalName": "<string>",
"customFields": {},
"enrichmentStatus": "<string>",
"enrichmentQueuedAt": "2023-11-07T05:31:56Z",
"enrichmentCompletedAt": "2023-11-07T05:31:56Z",
"lastEnrichedAt": "2023-11-07T05:31:56Z",
"websiteSummary": "<string>",
"linkedinSummary": "<string>",
"emailPattern": "<string>",
"technologies": null,
"socialProfiles": null,
"discoverySourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inboundSource": "<string>",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notInterestedUntil": "2023-11-07T05:31:56Z",
"notInterestedReason": "<string>",
"notInterestedAt": "2023-11-07T05:31:56Z",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
],
"bdrOutreach": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentName": "<string>",
"status": "<string>",
"lastActivityAt": "2023-11-07T05:31:56Z",
"nextActionNote": "<string>",
"nextActionNoteSource": "<string>",
"nextEvaluationAt": "2023-11-07T05:31:56Z",
"waitForEnrichment": true
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"resource": "<string>"
}{
"error": "Unauthorised",
"message": "Invalid or revoked API key"
}{
"error": "Not Found",
"message": "Company with id 'xxx' not found"
}{
"error": "Unprocessable Entity",
"message": "Validation failed",
"details": {
"name": [
"Name is required"
]
}
}Companies
Update a company
PATCH
/
api
/
v1
/
company
/
{id}
Update a company
curl --request PATCH \
--url https://app.alvahq.com/api/v1/company/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "",
"domain": "",
"industry": "",
"size": "",
"location": "",
"website": "",
"description": "",
"lifecycleStage": "",
"relationshipType": "",
"primaryEmail": "",
"primaryPhone": "",
"emails": [],
"phones": [],
"linkedinUrl": "",
"foundedYear": null,
"employeeCountRange": "",
"ownerId": "",
"enrichmentIcpId": "",
"tagIds": [],
"notInterestedUntil": "",
"notInterestedReason": "",
"customFields": {}
}
'import requests
url = "https://app.alvahq.com/api/v1/company/{id}"
payload = {
"name": "",
"domain": "",
"industry": "",
"size": "",
"location": "",
"website": "",
"description": "",
"lifecycleStage": "",
"relationshipType": "",
"primaryEmail": "",
"primaryPhone": "",
"emails": [],
"phones": [],
"linkedinUrl": "",
"foundedYear": None,
"employeeCountRange": "",
"ownerId": "",
"enrichmentIcpId": "",
"tagIds": [],
"notInterestedUntil": "",
"notInterestedReason": "",
"customFields": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '',
domain: '',
industry: '',
size: '',
location: '',
website: '',
description: '',
lifecycleStage: '',
relationshipType: '',
primaryEmail: '',
primaryPhone: '',
emails: [],
phones: [],
linkedinUrl: '',
foundedYear: null,
employeeCountRange: '',
ownerId: '',
enrichmentIcpId: '',
tagIds: [],
notInterestedUntil: '',
notInterestedReason: '',
customFields: {}
})
};
fetch('https://app.alvahq.com/api/v1/company/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.alvahq.com/api/v1/company/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '',
'domain' => '',
'industry' => '',
'size' => '',
'location' => '',
'website' => '',
'description' => '',
'lifecycleStage' => '',
'relationshipType' => '',
'primaryEmail' => '',
'primaryPhone' => '',
'emails' => [
],
'phones' => [
],
'linkedinUrl' => '',
'foundedYear' => null,
'employeeCountRange' => '',
'ownerId' => '',
'enrichmentIcpId' => '',
'tagIds' => [
],
'notInterestedUntil' => '',
'notInterestedReason' => '',
'customFields' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.alvahq.com/api/v1/company/{id}"
payload := strings.NewReader("{\n \"name\": \"\",\n \"domain\": \"\",\n \"industry\": \"\",\n \"size\": \"\",\n \"location\": \"\",\n \"website\": \"\",\n \"description\": \"\",\n \"lifecycleStage\": \"\",\n \"relationshipType\": \"\",\n \"primaryEmail\": \"\",\n \"primaryPhone\": \"\",\n \"emails\": [],\n \"phones\": [],\n \"linkedinUrl\": \"\",\n \"foundedYear\": null,\n \"employeeCountRange\": \"\",\n \"ownerId\": \"\",\n \"enrichmentIcpId\": \"\",\n \"tagIds\": [],\n \"notInterestedUntil\": \"\",\n \"notInterestedReason\": \"\",\n \"customFields\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.alvahq.com/api/v1/company/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"\",\n \"domain\": \"\",\n \"industry\": \"\",\n \"size\": \"\",\n \"location\": \"\",\n \"website\": \"\",\n \"description\": \"\",\n \"lifecycleStage\": \"\",\n \"relationshipType\": \"\",\n \"primaryEmail\": \"\",\n \"primaryPhone\": \"\",\n \"emails\": [],\n \"phones\": [],\n \"linkedinUrl\": \"\",\n \"foundedYear\": null,\n \"employeeCountRange\": \"\",\n \"ownerId\": \"\",\n \"enrichmentIcpId\": \"\",\n \"tagIds\": [],\n \"notInterestedUntil\": \"\",\n \"notInterestedReason\": \"\",\n \"customFields\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.alvahq.com/api/v1/company/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"\",\n \"domain\": \"\",\n \"industry\": \"\",\n \"size\": \"\",\n \"location\": \"\",\n \"website\": \"\",\n \"description\": \"\",\n \"lifecycleStage\": \"\",\n \"relationshipType\": \"\",\n \"primaryEmail\": \"\",\n \"primaryPhone\": \"\",\n \"emails\": [],\n \"phones\": [],\n \"linkedinUrl\": \"\",\n \"foundedYear\": null,\n \"employeeCountRange\": \"\",\n \"ownerId\": \"\",\n \"enrichmentIcpId\": \"\",\n \"tagIds\": [],\n \"notInterestedUntil\": \"\",\n \"notInterestedReason\": \"\",\n \"customFields\": {}\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Acme Corporation",
"domain": "acme.com",
"industry": "Technology",
"size": "51-200",
"location": "London, UK",
"website": "https://acme.com",
"description": "<string>",
"lifecycleStage": "target",
"relationshipType": "customer",
"primaryEmail": "<string>",
"primaryPhone": "<string>",
"emails": [
"<string>"
],
"phones": [
"<string>"
],
"linkedinUrl": "<string>",
"foundedYear": 123,
"employeeCountRange": "<string>",
"ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enrichmentIcpId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originalName": "<string>",
"customFields": {},
"enrichmentStatus": "<string>",
"enrichmentQueuedAt": "2023-11-07T05:31:56Z",
"enrichmentCompletedAt": "2023-11-07T05:31:56Z",
"lastEnrichedAt": "2023-11-07T05:31:56Z",
"websiteSummary": "<string>",
"linkedinSummary": "<string>",
"emailPattern": "<string>",
"technologies": null,
"socialProfiles": null,
"discoverySourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inboundSource": "<string>",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notInterestedUntil": "2023-11-07T05:31:56Z",
"notInterestedReason": "<string>",
"notInterestedAt": "2023-11-07T05:31:56Z",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
],
"bdrOutreach": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentName": "<string>",
"status": "<string>",
"lastActivityAt": "2023-11-07T05:31:56Z",
"nextActionNote": "<string>",
"nextActionNoteSource": "<string>",
"nextEvaluationAt": "2023-11-07T05:31:56Z",
"waitForEnrichment": true
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"resource": "<string>"
}{
"error": "Unauthorised",
"message": "Invalid or revoked API key"
}{
"error": "Not Found",
"message": "Company with id 'xxx' not found"
}{
"error": "Unprocessable Entity",
"message": "Validation failed",
"details": {
"name": [
"Name is required"
]
}
}Authorizations
API key from Settings > Developer. Format: alva_sk_...
Path Parameters
The company ID
Body
application/json
All fields are optional — send only the properties you want to update. In the interactive playground (the "Test Request" panel) the JSON body is fully editable; type over any value and delete the properties you don't need. Blank fields are ignored.
All fields are optional. Only included fields will be updated. Read-only fields returned by GET are ignored.
Available options:
target, prospect, lead, customer, evaluating, engaging, negotiating, vendor, partner, supplier Available options:
customer, vendor, partner, supplier, competitor Replaces the company tags. Omit to leave tags unchanged.